CONFIG +=  cross_compile compile_examples silent qpa largefile use_gold_linker neon pcre
QT_BUILD_PARTS +=  examples libs tools
QT_NO_DEFINES =  CUPS HARFBUZZ ICONV IMAGEFORMAT_JPEG LIBPROXY MITSHM OPENVG SESSIONMANAGER TSLIB ZLIB
QT_QCONFIG_PATH = 
host_build {
    QT_CPU_FEATURES.arm64 =  neon
} else {
    QT_CPU_FEATURES.arm64 =  neon
}
QT_COORD_TYPE = double
QT_LFLAGS_ODBC   = -lodbc
OE_QMAKE_AR = aarch64-xilinx-linux-ar
OE_QMAKE_CC = aarch64-xilinx-linux-gcc  --sysroot=$$[QT_SYSROOT]
OE_QMAKE_CFLAGS =  -O2 -pipe -g -feliminate-unused-debug-types -fdebug-prefix-map=/scratch/petalinux-yocto/yocto_sdk_full_2017.3/build/tmp/work/aarch64-xilinx-linux/qtbase/5.7.1+gitAUTOINC+a55f36211e-r0=/usr/src/debug/qtbase/5.7.1+gitAUTOINC+a55f36211e-r0 -fdebug-prefix-map=/scratch/petalinux-yocto/yocto_sdk_full_2017.3/build/tmp/sysroots/x86_64-linux= -fdebug-prefix-map=$$[QT_SYSROOT]= 
OE_QMAKE_COMPILER = aarch64-xilinx-linux-gcc  --sysroot=$$[QT_SYSROOT]
OE_QMAKE_CXX = aarch64-xilinx-linux-g++  --sysroot=$$[QT_SYSROOT]
OE_QMAKE_CXXFLAGS =  -O2 -pipe -g -feliminate-unused-debug-types -fdebug-prefix-map=/scratch/petalinux-yocto/yocto_sdk_full_2017.3/build/tmp/work/aarch64-xilinx-linux/qtbase/5.7.1+gitAUTOINC+a55f36211e-r0=/usr/src/debug/qtbase/5.7.1+gitAUTOINC+a55f36211e-r0 -fdebug-prefix-map=/scratch/petalinux-yocto/yocto_sdk_full_2017.3/build/tmp/sysroots/x86_64-linux= -fdebug-prefix-map=$$[QT_SYSROOT]=  -fvisibility-inlines-hidden
OE_QMAKE_LDFLAGS = -Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed
OE_QMAKE_LINK = aarch64-xilinx-linux-g++  --sysroot=$$[QT_SYSROOT]
OE_QMAKE_STRIP = echo
styles += mac fusion windows
DEFINES += QT_NO_MTDEV
QT_LIBS_DBUS = -ldbus-1
QT_CFLAGS_DBUS = -I$$[QT_SYSROOT]/usr/include/dbus-1.0 -I$$[QT_SYSROOT]/usr/lib/dbus-1.0/include
QT_HOST_CFLAGS_DBUS = -I$$[QT_HOST_PREFIX]/include/dbus-1.0 -I$$[QT_HOST_PREFIX]/lib/dbus-1.0/include
QT_CFLAGS_GLIB = -pthread -I$$[QT_SYSROOT]/usr/include/glib-2.0 -I$$[QT_SYSROOT]/usr/lib/glib-2.0/include
QT_LIBS_GLIB = -lgthread-2.0 -pthread -lglib-2.0
QT_CFLAGS_PULSEAUDIO = -D_REENTRANT -I$$[QT_SYSROOT]/usr/include/glib-2.0 -I$$[QT_SYSROOT]/usr/lib/glib-2.0/include
QT_LIBS_PULSEAUDIO = -lpulse-mainloop-glib -lpulse -lglib-2.0
QMAKE_INCDIR_OPENGL_ES2 = 
QMAKE_LIBDIR_OPENGL_ES2 = 
QMAKE_LIBS_OPENGL_ES2 =  "-lGLESv2"
QMAKE_CFLAGS_OPENGL_ES2 = 
QMAKE_CFLAGS_FONTCONFIG = -I$$[QT_SYSROOT]/usr/include/freetype2
QMAKE_LIBS_FONTCONFIG = -lfontconfig -lfreetype
QMAKE_INCDIR_LIBUDEV = 
QMAKE_LIBS_LIBUDEV = -ludev
DEFINES += QT_NO_TSLIB
QMAKE_LIBINPUT_VERSION_MAJOR = 1
QMAKE_LIBINPUT_VERSION_MINOR = 4
QMAKE_INCDIR_LIBINPUT = 
QMAKE_LIBS_LIBINPUT = -linput
QMAKE_LIBXI_VERSION_MAJOR = 1
QMAKE_LIBXI_VERSION_MINOR = 7
QMAKE_LIBXI_VERSION_PATCH = 6
QMAKE_X11_PREFIX = /usr
QMAKE_CFLAGS_XKBCOMMON = 
QMAKE_LIBS_XKBCOMMON = -lxkbcommon-x11 -lxkbcommon
QMAKE_INCDIR_EGL = 
QMAKE_LIBS_EGL = -lEGL
QMAKE_CFLAGS_EGL = 
QMAKE_INCDIR_EGL = 
QMAKE_LIBS_EGL = -lEGL
QMAKE_CFLAGS_EGL = 
QMAKE_CFLAGS_XCB = 
QMAKE_LIBS_XCB = -lxcb-sync -lxcb-xfixes -lxcb-randr -lxcb-image -lxcb-shm -lxcb-keysyms -lxcb-icccm -lxcb -lxcb-shape
sql-drivers = 
sql-plugins = 
